diff -u --recursive --new-file apps/app_curl.c.orig4 apps/app_curl.c
--- apps/app_curl.c.orig4	Fri Apr  8 12:09:11 2005
+++ apps/app_curl.c	Fri Apr  8 23:48:13 2005
@@ -104,7 +104,11 @@
 
 		curl_easy_setopt(curl, CURLOPT_URL, url);
 		curl_easy_setopt(curl, CURLOPT_WRITEFUNCTION, WriteMemoryCallback);
+#ifdef CURLOPT_WRITEDATA
 		curl_easy_setopt(curl, CURLOPT_WRITEDATA, (void *)&chunk);
+#else
+		curl_easy_setopt(curl, CURLOPT_FILE, (void *)&chunk);
+#endif
 		curl_easy_setopt(curl, CURLOPT_USERAGENT, "asterisk-libcurl-agent/1.0");
 
 		if (post_data) {
